Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
Get information about a Vultr container registry.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as vultr from "@ediri/vultr";
const vcr_ds = vultr.getContainerRegistry({
filters: [{
name: "name",
values: ["examplecontainerregistry"],
}],
});
import pulumi
import pulumi_vultr as vultr
vcr_ds = vultr.get_container_registry(filters=[{
"name": "name",
"values": ["examplecontainerregistry"],
}])
package main
import (
"github.com/dirien/pulumi-vultr/sdk/v2/go/vultr"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := vultr.LookupContainerRegistry(ctx, &vultr.LookupContainerRegistryArgs{
Filters: []vultr.GetContainerRegistryFilter{
{
Name: "name",
Values: []string{
"examplecontainerregistry",
},
},
},
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Vultr = Pulumi.Vultr;
return await Deployment.RunAsync(() =>
{
var vcr_ds = Vultr.GetContainerRegistry.Invoke(new()
{
Filters = new[]
{
new Vultr.Inputs.GetContainerRegistryFilterInputArgs
{
Name = "name",
Values = new[]
{
"examplecontainerregistry",
},
},
},
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.vultr.VultrFunctions;
import com.pulumi.vultr.inputs.GetContainerRegistryArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var vcr-ds = VultrFunctions.getContainerRegistry(GetContainerRegistryArgs.builder()
.filters(GetContainerRegistryFilterArgs.builder()
.name("name")
.values("examplecontainerregistry")
.build())
.build());
}
}
variables:
vcr-ds:
fn::invoke:
function: vultr:getContainerRegistry
arguments:
filters:
- name: name
values:
- examplecontainerregistry
Using getContainerRegistry
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getContainerRegistry(args: GetContainerRegistryArgs, opts?: InvokeOptions): Promise<GetContainerRegistryResult>
function getContainerRegistryOutput(args: GetContainerRegistryOutputArgs, opts?: InvokeOptions): Output<GetContainerRegistryResult>def get_container_registry(filters: Optional[Sequence[GetContainerRegistryFilter]] = None,
opts: Optional[InvokeOptions] = None) -> GetContainerRegistryResult
def get_container_registry_output(filters: Optional[pulumi.Input[Sequence[pulumi.Input[GetContainerRegistryFilterArgs]]]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetContainerRegistryResult]func LookupContainerRegistry(ctx *Context, args *LookupContainerRegistryArgs, opts ...InvokeOption) (*LookupContainerRegistryResult, error)
func LookupContainerRegistryOutput(ctx *Context, args *LookupContainerRegistryOutputArgs, opts ...InvokeOption) LookupContainerRegistryResultOutput> Note: This function is named LookupContainerRegistry in the Go SDK.
public static class GetContainerRegistry
{
public static Task<GetContainerRegistryResult> InvokeAsync(GetContainerRegistryArgs args, InvokeOptions? opts = null)
public static Output<GetContainerRegistryResult> Invoke(GetContainerRegistryInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetContainerRegistryResult> getContainerRegistry(GetContainerRegistryArgs args, InvokeOptions options)
public static Output<GetContainerRegistryResult> getContainerRegistry(GetContainerRegistryArgs args, InvokeOptions options)
fn::invoke:
function: vultr:index/getContainerRegistry:getContainerRegistry
arguments:
# arguments dictionaryThe following arguments are supported:
- Filters
List<ediri.
Vultr. Inputs. Get Container Registry Filter> - Query parameters for finding the container registry.
- Filters
[]Get
Container Registry Filter - Query parameters for finding the container registry.
- filters
List<Get
Container Registry Filter> - Query parameters for finding the container registry.
- filters
Get
Container Registry Filter[] - Query parameters for finding the container registry.
- filters
Sequence[Get
Container Registry Filter] - Query parameters for finding the container registry.
- filters List<Property Map>
- Query parameters for finding the container registry.
getContainerRegistry Result
The following output properties are available:
- Date
Created string - A date-time of when the root user was created.
- Id string
- The provider-assigned unique ID for this managed resource.
- Name string
- The name of the repository.
- Public bool
- Boolean indicating whether or not the requires login credentials.
- Repositories
List<ediri.
Vultr. Outputs. Get Container Registry Repository> - Listing of the repositories created within the registry and their metadata.
- Root
User Dictionary<string, string> - The user associated with the container registry.
- Storage Dictionary<string, string>
- A listing of current storage usage relevant to the container registry.
- Urn string
- The URN of the container registry.
- Filters
List<ediri.
Vultr. Outputs. Get Container Registry Filter>
- Date
Created string - A date-time of when the root user was created.
- Id string
- The provider-assigned unique ID for this managed resource.
- Name string
- The name of the repository.
- Public bool
- Boolean indicating whether or not the requires login credentials.
- Repositories
[]Get
Container Registry Repository - Listing of the repositories created within the registry and their metadata.
- Root
User map[string]string - The user associated with the container registry.
- Storage map[string]string
- A listing of current storage usage relevant to the container registry.
- Urn string
- The URN of the container registry.
- Filters
[]Get
Container Registry Filter
- date
Created String - A date-time of when the root user was created.
- id String
- The provider-assigned unique ID for this managed resource.
- name String
- The name of the repository.
- public_ Boolean
- Boolean indicating whether or not the requires login credentials.
- repositories
List<Get
Container Registry Repository> - Listing of the repositories created within the registry and their metadata.
- root
User Map<String,String> - The user associated with the container registry.
- storage Map<String,String>
- A listing of current storage usage relevant to the container registry.
- urn String
- The URN of the container registry.
- filters
List<Get
Container Registry Filter>
- date
Created string - A date-time of when the root user was created.
- id string
- The provider-assigned unique ID for this managed resource.
- name string
- The name of the repository.
- public boolean
- Boolean indicating whether or not the requires login credentials.
- repositories
Get
Container Registry Repository[] - Listing of the repositories created within the registry and their metadata.
- root
User {[key: string]: string} - The user associated with the container registry.
- storage {[key: string]: string}
- A listing of current storage usage relevant to the container registry.
- urn string
- The URN of the container registry.
- filters
Get
Container Registry Filter[]
- date_
created str - A date-time of when the root user was created.
- id str
- The provider-assigned unique ID for this managed resource.
- name str
- The name of the repository.
- public bool
- Boolean indicating whether or not the requires login credentials.
- repositories
Sequence[Get
Container Registry Repository] - Listing of the repositories created within the registry and their metadata.
- root_
user Mapping[str, str] - The user associated with the container registry.
- storage Mapping[str, str]
- A listing of current storage usage relevant to the container registry.
- urn str
- The URN of the container registry.
- filters
Sequence[Get
Container Registry Filter]
- date
Created String - A date-time of when the root user was created.
- id String
- The provider-assigned unique ID for this managed resource.
- name String
- The name of the repository.
- public Boolean
- Boolean indicating whether or not the requires login credentials.
- repositories List<Property Map>
- Listing of the repositories created within the registry and their metadata.
- root
User Map<String> - The user associated with the container registry.
- storage Map<String>
- A listing of current storage usage relevant to the container registry.
- urn String
- The URN of the container registry.
- filters List<Property Map>
Supporting Types
GetContainerRegistryFilter
GetContainerRegistryRepository
- Artifact
Count int - A count of the artifacts in the repository.
- Date
Created string - A date-time of when the root user was created.
- Date
Modified string - The date-time that the repository was last updated.
- Description string
- A description of the repo, if set.
- Image string
- The image name in the repository.
- Name string
- The name of the repository.
- Pull
Count int - A count of the number of pulls against the repository.
- Artifact
Count int - A count of the artifacts in the repository.
- Date
Created string - A date-time of when the root user was created.
- Date
Modified string - The date-time that the repository was last updated.
- Description string
- A description of the repo, if set.
- Image string
- The image name in the repository.
- Name string
- The name of the repository.
- Pull
Count int - A count of the number of pulls against the repository.
- artifact
Count Integer - A count of the artifacts in the repository.
- date
Created String - A date-time of when the root user was created.
- date
Modified String - The date-time that the repository was last updated.
- description String
- A description of the repo, if set.
- image String
- The image name in the repository.
- name String
- The name of the repository.
- pull
Count Integer - A count of the number of pulls against the repository.
- artifact
Count number - A count of the artifacts in the repository.
- date
Created string - A date-time of when the root user was created.
- date
Modified string - The date-time that the repository was last updated.
- description string
- A description of the repo, if set.
- image string
- The image name in the repository.
- name string
- The name of the repository.
- pull
Count number - A count of the number of pulls against the repository.
- artifact_
count int - A count of the artifacts in the repository.
- date_
created str - A date-time of when the root user was created.
- date_
modified str - The date-time that the repository was last updated.
- description str
- A description of the repo, if set.
- image str
- The image name in the repository.
- name str
- The name of the repository.
- pull_
count int - A count of the number of pulls against the repository.
- artifact
Count Number - A count of the artifacts in the repository.
- date
Created String - A date-time of when the root user was created.
- date
Modified String - The date-time that the repository was last updated.
- description String
- A description of the repo, if set.
- image String
- The image name in the repository.
- name String
- The name of the repository.
- pull
Count Number - A count of the number of pulls against the repository.
Package Details
- Repository
- vultr dirien/pulumi-vultr
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
vultrTerraform Provider.
Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
